DECLARE SUB SaveGame ()
DECLARE SUB Trippy ()
DECLARE SUB CannotDo ()
DECLARE SUB CannotGo ()
DECLARE SUB Dead ()
DECLARE SUB Help ()
DECLARE SUB HitAnyKey ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RoomInfo ()
'$INCLUDE: 'c:\bc7\programs\yoshi\global.bi'

SUB ParkInfo

  IF RestoringRoom = 1 THEN GOTO GetTheRoom

1400 CLS
  RestoreRoom = 1400
  PRINT "You are on the outskirts of the town park.  There is a man sitting here"
  PRINT "feeding the pigeons with birdseed.  A path leads to the south and the road"
  PRINT "is to the north."
1403 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN RoomInfo
  IF a$ = "S" THEN GOTO 1500
  IF a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 1403
  IF a$ = "I" THEN Inventory: GOTO 1403
  IF a$ = "LOOK" THEN GOTO 1400
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 1403
  IF a$ = "QUIT" THEN Quit: GOTO 1403
  IF a$ = "TALK" OR a$ = "TALK MAN" OR a$ = "SIT" OR a$ = "SIT ON BENCH" OR a$ = "TALK TO MAN" THEN GOTO 1455
  IF a$ = "SEARCH" THEN PRINT "Icky!  There's lots of pigeon poop here.": GOTO 1403
  IF a$ = "GET BIRD" OR a$ = "GET BIRDS" OR a$ = "GET PIGEON" OR a$ = "GET PIGEONS" OR a$ = "CATCH PIGEON" OR a$ = "CATCH PIGEONS" THEN PRINT "Oh, right.  So it can poop all over you.  No way!": GOTO 1403
  IF a$ = "FEED BIRDS" OR a$ = "FEED BIRD" OR a$ = "USE BIRDSEED" OR a$ = "FEED PIGEON" OR a$ = "FEED PIGEONS" THEN GOTO 1480
  IF a$ = "GET POOP" OR a$ = "GET PIGEON POOP" THEN PRINT "Ew!  What a nasty mind you have!": GOTO 1403
  IF a$ = "HIT MAN" OR a$ = "KICK MAN" OR a$ = "KILL MAN" THEN PRINT "Adthough he deserves it, you don't.  You were always taught to respect": PRINT "your elders.": GOTO 1403
  IF a$ = "GET BIRDSEED" THEN GOTO 1470
  IF a$ = "GET CANE" THEN PRINT "He won't let you have it.": GOTO 1403
  IF a$ = "HELP" THEN Help: GOTO 1400
  IF a$ = "GET MAN" THEN PRINT "Just exactly what are you up to?": GOTO 1403
  CannotDo
  GOTO 1403
1455 IF talkman = 0 THEN GOTO 1460
  PRINT "And get hit again?  No way."
  GOTO 1403
1460 PRINT "You sit down by the man, careful not to sit on any pigeon poop, and say hello."
  PRINT "He looks at you and grunts, whaps you with his cane, and goes back to feeding"
  PRINT "the birds.  Real nice guy.  You stand up again before he can hit you again."
  PRINT "Gotta love the people in this town."
  talkman = 1
  GOTO 1403
1470 IF birdseed = 1 THEN PRINT "You already have some.": GOTO 1403
  PRINT "You grab a handful the old man's birdseed."
  birdseed = 1
  GOTO 1403
1480 IF birdseed = 0 THEN PRINT "With what?": GOTO 1403
  PRINT "You sprinkle some birdseed on the ground.  The pigeons eat it up."
  birdseed = 0
  GOTO 1403

1500 CLS
  RestoreRoom = 1500
  PRINT "You are amidst the trees in the park.  There is a large fountain here, carved"
  PRINT "in the likeness of a large bowl.  Something seems wrong.  Oh, yeah.  The"
  PRINT "fountain is bone dry.  A path leads to the north and another leads to the"
  PRINT "south."
1504 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 1400
  IF a$ = "S" THEN GOTO 1600
  IF a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 1504
  IF a$ = "I" THEN Inventory: GOTO 1504
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 1504
  IF a$ = "LOOK" THEN GOTO 1500
  IF a$ = "QUIT" THEN Quit: GOTO 1504
  IF a$ = "GET WATER" OR a$ = "DRINK" OR a$ = "DRINK WATER" THEN PRINT "Um, what water?": GOTO 1504
  IF a$ = "SEARCH" AND fountainsearch = 0 THEN PRINT "There seems to be something carved on the side of the fountain, though it is"
  IF a$ = "SEARCH" AND fountainsearch = 0 THEN PRINT "weathered to illegibility.": fountainsearch = 1: GOTO 1504
  IF a$ = "SEARCH" AND fountainsearch = 1 THEN PRINT "There is nothing else of interest here.": GOTO 1504
  IF a$ = "START FIRE" OR a$ = "START FOREST FIRE" OR a$ = "USE TORCH" OR a$ = "LIGHT FIRE" OR a$ = "LIGHT FOREST FIRE" THEN GOSUB 1655: GOTO 1504
  IF a$ = "DRINK" OR a$ = "DRINK WATER" OR a$ = "GET WATER" THEN PRINT "Uh, there is no water, remember?": GOTO 1504
  IF a$ = "USE SLUG" OR founatin$ = "USE BANANA SLUG" THEN GOTO 1520
  IF a$ = "HELP" THEN Help: GOTO 1500
  IF a$ = "SWIM IN FOUNTAIN" OR a$ = "SWIM" THEN PRINT "There's no water, remember?": GOTO 1504
  CannotDo
  GOTO 1504
1520 IF bananaslug = 0 THEN PRINT "Just your misfortune.  You don't have a banana slug.": GOTO 1504
  IF bananaslug = 2 THEN PRINT "You've already done that.": GOTO 1504
  PRINT "You smear the banana slug's slime all over the faded inscription.  The slime"
  PRINT "picks up the highlights and allows you to read the weathered message.  It"
  PRINT "reads: 'This has absolutely no relevance to this game.'  The moral of this"
  PRINT "story is never leave home without a banana slug.  You want to go kick"
  PRINT "someone's head in over wasting your time, though you decide to take the message"
  PRINT "calmly, if not with a grain of salt."
  bananaslug = 2
  GOTO 1504

1600 CLS
  RestoreRoom = 1600
  PRINT "You are at a junction in a path among large trees.  Paths run to the north,"
  PRINT "south, and east."
1602 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 1500
  IF a$ = "S" THEN GOTO 1700
  IF a$ = "E" THEN GOTO 2500
  IF a$ = "W" THEN CannotGo: GOTO 1602
  IF a$ = "I" THEN Inventory: GOTO 1602
  IF a$ = "LOOK" THEN GOTO 1600
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 1602
  IF a$ = "QUIT" THEN Quit: GOTO 1602
  IF a$ = "SEARCH" THEN PRINT "You find some pine needles, but you don't really need them.": GOTO 1602
  IF a$ = "START FIRE" OR a$ = "START FOREST FIRE" OR a$ = "USE TORCH" OR a$ = "LIGHT FIRE" OR a$ = "LIGHT FOREST FIRE" THEN GOSUB 1655: GOTO 1602
  IF a$ = "HELP" THEN Help: GOTO 1600
  CannotDo
  GOTO 1602
1655 IF torch = 0 OR torch = 1 THEN PRINT "It really helps to have some fire to start a fire.": RETURN
  PRINT "You gather together some twigs and pine needles and light them with your"
  PRINT "torch.  The dry tinder quickly catches, spreads, and begins to burn several"
  PRINT "nearby bushes.  Oops!  The fire quickly spreads from there, and soon the"
  PRINT "entire forest is ablaze.  Unfortunately, you are caught in the midst of the"
  PRINT "fire, roasting you clean out of your body.  Remember, boys and girls, only"
  PRINT "you can prevent firefighters!"
  HitAnyKey
  Dead

1700 CLS
  RestoreRoom = 1700
  PRINT "You are standing at the base of a giant oak tree.  Leaves litter the ground."
  PRINT "High in the tree you can see a treehouse built out of old boards and rusty"
  PRINT "nails.  A rope ladder hangs down from it.  Paths lead to the north and to the"
  PRINT "east."
1704 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 1600
  IF a$ = "S" OR a$ = "W" THEN CannotGo: GOTO 1704
  IF a$ = "E" THEN GOTO 2600
  IF a$ = "I" THEN Inventory: GOTO 1704
  IF a$ = "LOOK" THEN GOTO 1700
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 1704
  IF a$ = "QUIT" THEN Quit: GOTO 1704
  IF a$ = "SEARCH" THEN GOTO 1720
  IF a$ = "U" OR a$ = "CLIMB" OR a$ = "CLIMB LADDER" OR a$ = "CLIMB ROPE LADDER" OR a$ = "CLIMB ROPE" OR a$ = "UP" OR a$ = "GO UP" OR a$ = "ENTER CLUBHOUSE" THEN GOTO 1800
  IF a$ = "USE TORCH" OR a$ = "LIGHT FIRE" OR a$ = "LIGHT FOREST FIRE" THEN GOSUB 1655: GOTO 1704
  IF a$ = "GET ROPE" OR a$ = "GET ROPE LADDER" OR a$ = "GET LADDER" THEN PRINT "No, it needs to stay where it is.": GOTO 1704
  IF a$ = "HELP" THEN Help: GOTO 1700
  CannotDo
  GOTO 1704
1720 IF bananaslug = 1 OR bananaslug = 2 THEN PRINT "Well, there's an interesting beetle over there...": GOTO 1704
  PRINT "Under some leaves you find a banana slug."
  bananaslug = 1
  GOTO 1704

1800 CLS
  RestoreRoom = 1800
  PRINT "You are standing in the wooden clubhouse high in the oak tree.  Old crates"
  PRINT "serve as seats, and the floor is strewn with old comic books.  Some tools lay"
  PRINT "in one corner.  The only exit is back down the rope."
1803 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "S" OR a$ = "E" OR a$ = "W" THEN CannotGo: GOTO 1803
  IF a$ = "I" THEN Inventory: GOTO 1803
  IF a$ = "LOOK" THEN GOTO 1800
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 1803
  IF a$ = "QUIT" THEN Quit: GOTO 1803
  IF a$ = "GET TOOL" OR a$ = "GET TOOLS" OR a$ = "SEARCH" THEN GOTO 1855
  IF a$ = "READ COMICS" OR a$ = "GET COMIC BOOK" OR a$ = "GET COMIC BOOKS" OR a$ = "GET COMIC" OR a$ = "READ COMIC BOOK" OR a$ = "READ COMIC BOOKS" OR a$ = "READ COMIC" OR a$ = "READ" THEN PRINT  _
"You don't have time to read about Archie and Jughead right now.": GOTO 1803
  IF a$ = "D" OR a$ = "CLIMB DOWN" OR a$ = "CLIMB" OR a$ = "CLIMB LADDER" OR a$ = "CLIMB ROPE LADDER" OR a$ = "CLIMB ROPE" OR a$ = "DOWN" OR a$ = "GO DOWN" OR a$ = "EXIT CLUBHOUSE" THEN GOTO 1700
  IF a$ = "JUMP" OR a$ = "COMMIT SUICIDE" THEN GOTO 1860
  IF a$ = "OPEN CRATE" OR a$ = "OPEN CRATES" OR a$ = "GET CRATE" OR a$ = "OPEN CRATES" THEN PRINT "They're empty.": GOTO 1803
  IF a$ = "HELP" THEN Help: GOTO 1800
  PRINT "You cannot do that there.": GOTO 1803
1855 IF prybar = 0 THEN PRINT "You find a sturdy pry bar among the tools.  You take it.": prybar = 1: GOTO 1803
  IF prybar = 1 THEN PRINT "There aren't any other tools here that you need.": GOTO 1803
1860 PRINT "You take a deep breath and then leap from the clubhouse.  Wow!  You're flying!"
  PRINT "Then you impact with the ground.  Ouch.  You never knew how much pine needles"
  PRINT "hurt.  You slowly bleed to death on the hard ground."
  HitAnyKey
  Dead

2500 CLS
  RestoreRoom = 2500
  PRINT "You are in the woods in the park.  Birds flit about the trees overhead, and"
  PRINT "large berry bushes line the paths.  The paths lead to the west and to the"
  PRINT "south."
2503 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "E" THEN CannotGo: GOTO 2503
  IF a$ = "S" THEN GOTO 2600
  IF a$ = "W" THEN GOTO 1600
  IF a$ = "I" THEN Inventory: GOTO 2503
  IF a$ = "LOOK" THEN GOTO 2500
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 2503
  IF a$ = "QUIT" THEN Quit: GOTO 2503
  IF a$ = "START FIRE" OR a$ = "START FOREST FIRE" OR a$ = "USE TORCH" OR a$ = "LIGHT FIRE" OR a$ = "LIGHT FOREST FIRE" THEN GOSUB 1655: GOTO 2503
  IF a$ = "SEARCH" THEN GOTO 2555
  IF a$ = "GET BERRY" OR a$ = "GET BERRIES" OR a$ = "EAT BERRY" OR a$ = "EAT BERRIES" THEN GOTO 2560
  IF a$ = "GET BIRD" OR a$ = "GET BIRDS" OR a$ = "CATCH BIRD" OR a$ = "CATCH BIRDS" THEN PRINT "You manage to trap a small sparrow on the ground.  You pluck out its wing": PRINT "feathers one by one and then impale it with sharpened twigs you find." _
: PRINT "Do you feel better now?": GOTO 2503
  IF a$ = "FEED BIRD" OR a$ = "FEED BIRDS" OR a$ = "USE BIRDSEED" THEN GOTO 2570
  IF a$ = "HELP" THEN Help: GOTO 2500
  CannotDo
  GOTO 2503
2555 IF branch = 1 OR branch = 2 THEN PRINT "You don't find anything that strikes your interest.": GOTO 2503
  PRINT "You find a sturdy branch and add it to your inventory.  ";
  branch = 1
  IF oilyrags = 1 THEN PRINT "You wrap your oily rags": PRINT "around the branch and make a torch.": oilyrags = 2: branch = 2: torch = 1: GOTO 2503
  PRINT " "
  GOTO 2503
2560 PRINT "You eat several of the weird berries.  Before you know it, you're eating more."
  PRINT "You feel yourself getting higher and higher...suddenly, you get the idea to"
  PRINT "start a forest fire!  You grab a handful of berries and shove them into your"
  PRINT "mouth as you find two sticks and begin to rub them together.  Soon enough,"
  PRINT "you've started a tiny blaze that spreads like wildfire to the surrounding"
  PRINT "brush.  Before you know it, you're standing in the middle of a huge forest"
  PRINT "fire.  But you don't care - you're too high off the weird berries."
  HitAnyKey
  Dead
2570 IF birdseed = 0 THEN PRINT "With what?": GOTO 2503
  PRINT "You feed the pretty birds.": birdseed = 0: GOTO 2503

2600 CLS
  RestoreRoom = 2600
  PRINT "You are standing in the southeast corner of the town park.  It is a shadowed"
  PRINT "glade with a grassy carpet of soft moss.  Sunlight filters down through the"
  PRINT "boughs overhead to rest upon a large ring of mushrooms in the middle of the"
  PRINT "clearing.  You are reminded of the stories of faerie rings. Paths lead to the"
  PRINT "north and to the west."
2605 LINE INPUT "? "; a$: a$ = UCASE$(a$)
  IF a$ = "N" THEN GOTO 2500
  IF a$ = "S" OR a$ = "E" THEN CannotGo: GOTO 2605
  IF a$ = "W" THEN GOTO 1700
  IF a$ = "I" THEN Inventory: GOTO 2605
  IF a$ = "LOOK" THEN GOTO 2600
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO 2605
  IF a$ = "QUIT" THEN Quit: GOTO 2605
  IF a$ = "SEARCH" THEN PRINT "You find nothing out of the ordinary except for the ring of mushrooms.": GOTO 2605
  IF a$ = "EAT MUSHROOM" OR a$ = "EAT MUSHROOMS" OR a$ = "GET MUSHROOM" OR a$ = "GET MUSHROOMS" THEN GOTO 2655
  IF a$ = "DANCE" OR a$ = "ENTER RING" OR a$ = "ENTER MUSHROOM RING" OR a$ = "DANCE IN RING" OR a$ = "DANCE IN MUSHROOM RING" OR a$ = "GO IN RING" OR a$ = "GO IN MUSHROOM RING" THEN GOTO 2670
  IF a$ = "ENTER FAERIE RING" OR a$ = "DANCE IN FAERIE RING" OR a$ = "GO IN FAERIE RING" THEN GOTO 2670
  IF a$ = "HELP" THEN Help: GOTO 2600
  IF a$ = "START FIRE" OR a$ = "START FOREST FIRE" OR a$ = "USE TORCH" OR a$ = "LIGHT FIRE" OR a$ = "LIGHT FOREST FIRE" THEN GOSUB 1655: GOTO 2605
  CannotDo
  GOTO 2605
2655 PRINT "You pick one of the largest spotted mushrooms and consume it.  Wooow!  Dude,"
  PRINT "this is trippy!  Whoa.  You've never been high before, but hey, it's not too"
  PRINT "bad.  You've never thought of sounds as being colors, but you do now!  Whoa,"
  PRINT "trippy!"
  HitAnyKey
  Trippy
2670 PRINT "No way!  You've heard horror stories about the kinds of things faeries do to"
  PRINT "kids."
  GOTO 2605

GetTheRoom:
  RestoringRoom = 0
  SELECT CASE RestoreRoom
    CASE 1400
      GOTO 1400
    CASE 1500
      GOTO 1500
    CASE 1600
      GOTO 1600
    CASE 1700
      GOTO 1700
    CASE 1800
      GOTO 1800
    CASE 2500
      GOTO 2500
    CASE 2600
      GOTO 2600
    CASE ELSE
      RoomInfo
  END SELECT


END SUB

